JACK-STDIN(1)

NAME
jack-stdin - write JACK audio data to stdin

SYNOPSIS

jack-stdin [OPTIONS] port1 [ port2 ...]

DESCRIPTION

jack-stdin reads raw audio data from standard-input and writes it to a JACK audio port.

The number of given ports detemine the number of audio channels that are used. If more than one channel is given, the input audio-sample data needs to be interleaved.

OPTIONS

-b, --bitdepth BITS
    Specify the bit-depth of each sample. For integer-encoding this can be 16 or 24. The default is 16. This setting is only used for integer encoding: Floating-point samples will always be 32 bit wide.

-d, --duration SEC
    Specify the time for which jack-stdin should run in seconds. A value less than 1 means to run indefinitely. The default is 0 which reads until end-of-file.

-e, --encoding FORMAT
    Set the input format of the data: signed-integer, unsigned-integer, floating-point (default: signed)

-n, --name CLIENTNAME
    Set JACK client name (default: jstdin)

-f, --file FILENAME
    Read data from given file instead of standard-input.

-h, --help
    Print a brief usage information

-p, --prebuffer PERCENT
    Pre-fill the buffer before starting audio output to JACK (default 50.0%). NOTE: disable pre-buffering (-p 0) or use a small buffer size to play back very short samples.

-L, --little-endian
    The input-data is in little-endian byte-order or native-byte-order float (this is the default)

-B, --big-endian
    Interpret input audio data in big-endian byte-order or swap the byte-order of floating-point.

-q, --quiet
    Inhibit usual output. This affects information and buffer-overflow warnings but not setup-errors.

-S, --bufsize SAMPLES
    Choose the internal buffer-size in samples. The default size is 65536. The given value will be multiplied by the number of channels and bit-depth to get the size of the ring-buffer. Note: the buffersize must be larger than JACK's period size.

EXAMPLES
  jack-stdout vlc_31994:out_1 vlc_31994:out_2 \
	| sox -t raw -r 48k -e signed -b 16 -c 2 - \
	      -t raw -r 48k -e signed -b 16 -c 2 - \
	   tremolo 5 100 \
	| ./jack-stdin system:playback_1 system:playback_2

  cat /dev/dsp \
	| jack-stdin system:playback_1 system:playback_2

KNOWN ISSUES

jack-stdin is not suitable to play-back files shorter than twice the jack-period size.

AUTHOR
Robin Gareus <robin@gareus.org>.

SEE ALSO
http://jackaudio.org/,